from util.setup_cloud_fraction import model_path
import os
from deeplearning.cloud_fraction_fcn_abi import run_evaluate_static, run_evaluate_static_full_disk

tf_model_name = model_path+'tf_model_cld_frac_abi_v1' + os.sep


def infer_cloud_fraction(clavrx_file, model_path=model_path+tf_model_name):
    cld_frac = run_evaluate_static(clavrx_file, None, model_path)
    return cld_frac


def infer_cloud_fraction_full_disk(clavrx_file, model_path=model_path+tf_model_name):
    cld_frac = run_evaluate_static_full_disk(clavrx_file, None, model_path)
    return cld_frac